/*********************************************
*     Chronometre-Arduino-Processing.ino     *
*                                            *
*  Chronométrage course de vélo Malakoff     *
*   Gaston Etienne pour les Fabriqueurs      *
*           le 23-03-2018                    * 
**********************************************/

#define contact  4
#define resetClockBP  3
int depart = 1; // etat du capteur de départ/arrive
int departOk = 0; // pour memorisation du top depart
int arrive = 0;
 
 unsigned long oldMillis = 0;
 unsigned long newMillis;
 unsigned long tempsPasse = 0;
 int minutes = 0;
 int secondes = 0;
 int millisSec = 0;
 int rst = 1;
 
void setup()   { 
Serial.begin(115200);
pinMode(contact,INPUT_PULLUP);
pinMode(resetClockBP,INPUT_PULLUP);
//Serial.println( "Chronométrage course de vélo Malakoff"); // pour débug, pas avec processing

} 

void affiche(){
     //Serial.print("duree = " ); // pour débug, pas avec processing
    Serial.println(tempsPasse);  

}
 
void loop(){
  /*** on attend le franchissement de la ligne ***/
  depart = digitalRead(contact);
  while(depart !=0) {
     depart = digitalRead(contact); 
  }

    /*** c'est parti ***/
  if (depart == 0 && departOk == 0){
    //Serial.println("C'est parti !"); //debug Arduino
    departOk = 1; // memorisation depart
    oldMillis = millis();
    // tempo pour que le velo passe la ligne
    while (millis() <= oldMillis + 5000) {
      tempsPasse = millis() - oldMillis;
      affiche();
  
      } // fin while 
  } // fin if
  
      /*** on attend le deuxieme franchissement ***/  
  depart = digitalRead(contact); 
  while (depart != 0 && departOk ==1){
    depart = digitalRead(contact);
    newMillis = millis(); 
    tempsPasse = newMillis - oldMillis;
    affiche();
    
  }
  arrive = 1;
     while(rst != 0){
      rst = digitalRead(resetClockBP);
      affiche();  
      }    
  
  if (rst ==0) {
    tempsPasse = 0;
    //depart = 1;
    departOk = 0;
    rst = 1;
    arrive = 0;
    affiche();
  }

}
