//***********************************************************
//*              Chronometre.pde                            *
//*                                                         *
//*  Chronométrage course de vélo Malakoff (Dynamo)         *
//*    Fête de l'association "3Quatre" du 07-04-2018        *
//*   Gaston Etienne pour les Fabriqueurs                   *
//*           le 23-03-2018                                 * 
//* fonctionne avec /Chronometre-Arduino-Processing.ino     *
//*                                                         *
//***********************************************************

import processing.serial.*;
Serial myPort;   
 
int minutes = 00;
String  minStr= "00";
int secondes = 00;
String secStr = "00";
int millis = 0;
int centiemes = 0;
String centStr = "00";
int input = 0;
String duree = "";
 
void setup() {
  
  size(displayWidth, 600); // Affiche presque en plein écran (displayWidth, displayHeight)
  myPort = new Serial(this, Serial.list()[0], 115200); 
  //Important : se câler sur la valeur en baud du prog Arduino
  myPort.bufferUntil('\n');
  background(0);    
  fill(255,0,0);
  }
  
void draw() {
    textSize(80);
  text("        min                   sec                 1/100",10,80);
 // duree = minStr + ":" + secStr + ":" + centStr;
  fill(0,0,0);
  rect(0,80,1800,480);
  
  fill(255,0,0); // affichage couleur rouge
//fill(255,255,255); // affichage couleur blanc
  //fill(0,255,255); // affichage couleur Bleu clair
  //fill(120,255,0); // affichage couleur vert clair
 //fill(255,255,0); // affichage couleur jaune
 
  textSize(400);
  text(duree,10,460);
}

   
void serialEvent (Serial myPort) {
 
 String inString = myPort.readStringUntil('\n');
 if (inString != null){
    
 inString = trim(inString); 
  int input[] = int(split(inString,',')); // on élude les virgules
 
minutes = input[0]/60000;
secondes = (input[0]-minutes*60000)/1000;
millis = input[0] - minutes*60000 - secondes*1000;
centiemes = millis/10;
// println(minutes, " : ",secondes, " : ",centiemes);

// Conversions 
  minStr = str(minutes);
  if (minStr.length() < 2) {
    minStr = "0" + minStr;
    }
  secStr = str(secondes);
    if (secStr.length() < 2) {
    secStr = "0" + secStr;
    }
  centStr = str(centiemes);
  if (centStr.length() < 2) {
    centStr = "0" + centStr ;
    }
   duree = minStr + ":" + secStr + ":" + centStr;


 
}
}
